;;;;;;;;;;;;;;;;;;;;;;;;;;; -*- Mode: Emacs-Lisp -*- ;;;;;;;;;;;;;;;;;;;;;;;;;;
;; kais-menubar.el -- 
;; ITIID           : $ITI$ $Header $__Header$
;; Author          : Kai Grossjohann
;; Created On      : Wed Feb  1 11:01:41 1995
;; Last Modified By: Kai Grossjohann
;; Last Modified On: Wed Jun 21 18:28:19 1995
;; Update Count    : 24
;; Status          : Unknown, Use with caution!
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; Create an empty menu
(defvar menu-bar-addons-menu
  (make-sparse-keymap "Addons"))
(define-key global-map [menu-bar addons] 
  (cons "Addons" menu-bar-addons-menu))

;; Put it at the end of the menu bar (omit this line to put it at the
;; beginning)
(setq menu-bar-final-items (cons 'addons menu-bar-final-items))


;; -- Region menu --
;; This is a submenu of the Addons menu, so we create the empty
;; submenu first.
(defvar menu-bar-region-operations
  (make-sparse-keymap "Region"))
(fset 'menu-bar-region-operations
      (symbol-value 'menu-bar-region-operations))

;; Functions used
(defun uncomment-region (b e &optional arg)
  (interactive "r\np")
  (comment-region b e (- arg)))

;; Fill the Region submenu with entries.  Format of an entry is:
;;
;; (define-key <menu name> [<some unique string here>]
;;             '("<string to be put in the menu>" . <function name>))
(define-key menu-bar-region-operations [delete-region] 
  '("Delete Region" . delete-region))
(define-key menu-bar-region-operations [write-region] 
  '("Write Region to File" . write-region))
(define-key menu-bar-region-operations [count-words-region] 
  '("Count words of Region" . count-words-region))
(define-key menu-bar-region-operations [count-lines-region] 
  '("Count lines of Region" . count-lines-region))
(define-key menu-bar-region-operations [print-region] 
  '("Print Region" . print-region))
(define-key menu-bar-region-operations [capitalize-region] 
  '("Capitalize Region" . capitalize-region))
(define-key menu-bar-region-operations [downcase-region] 
  '("Downcase Region" . downcase-region))
(define-key menu-bar-region-operations [center-region] 
  '("Center Region" . center-region))
(define-key menu-bar-region-operations [indent-region] 
  '("Indent Region" . indent-region))
(define-key menu-bar-region-operations [uncomment-region] 
  '("Un-Comment Region " . uncomment-region))
(define-key menu-bar-region-operations [comment-region] 
  '("Comment Region" . comment-region))
(define-key menu-bar-region-operations [prefix-region] 
  '("Prefix Region" . prefix-region))
(define-key menu-bar-region-operations [fill-region] 
  '("Format Region" . fill-region))

;; -- File ops menu --
;; This is another submenu of the Addons menu
(defvar menu-bar-more-file-ops
  (make-sparse-keymap "File"))
(fset 'menu-bar-more-file-ops
      (symbol-value 'menu-bar-more-file-ops))

;; The entries in the File ops submenu
(define-key menu-bar-more-file-ops [recover-file]
  '("Recover file" . recover-file))
(define-key menu-bar-more-file-ops [save-some-buffers]
  '("Save some buffers" . save-some-buffers))

;; -- Rectangle operations menu --
;; This seems to be another possible syntax for specifying menus.
(setq menu-bar-rectangle-menu 
      '("Rectangle" keymap
	(clear-rectangle "Clear" . clear-rectangle)
	(delete-rectangle "Delete" . delete-rectangle)
	(kill-rectangle "Kill" . kill-rectangle)
	(open-rectangle "Open" . open-rectangle)
	(yank-rectangle "Yank" . yank-rectangle)
	"Rectangle"))

;; -- main addons menu --
;; Now, we fill the Addons menu, mostly with the submenus from above.
(define-key menu-bar-addons-menu [rectangle]
  menu-bar-rectangle-menu)
(define-key menu-bar-addons-menu [more-file-ops]
  '("File" . menu-bar-more-file-ops))
(define-key menu-bar-addons-menu [shell]
  '("Shell" . shell))
(define-key menu-bar-addons-menu [region-ops]
  '("Region" . menu-bar-region-operations))

 

