;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;  
;;  File:        subdirs.el
;;
;;  Purpose:     Tell Gnu emacs to look for files in the subdirectories of this
;;               directory.  For this to work *this* directory must be added to
;;               the load-path
;;
;;               
;;  Notes:       Gnu Emacs keeps a list of directories to search for files. This
;;               list is called the load-path.  If emacs finds a file called
;;               subdirs.el in a directory on its load path, emacs wil read
;;               subdirs.el for a list of subdirectories to add to the load-path.
;;               This file allows me to tell emacs to look in the subdirectories
;;               in this directory without having to add each directory to
;;               the load-path 
;;
;;               To get the value of load-path :
;;               M- x help-with-help <return> v
;;
;;
;;  Author       Steve Russell  07/06/2002
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;




(
 normal-top-level-add-to-load-path '(
                                     "ecb-1.70"
                                     "eieio-0.16"
                                     "semantic-1.4"
				     ) 
); end



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;                         END OF FILE: subdirs.el
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;